Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I tried to install the MP190 drivers, but appeared a message show me that requires to have libcupsys2.

I understand that libcup2 is an update of libcupsys2.

How do I solve this?

share|improve this question
    
Sorry to revive this thread. I've managed to get the 2 drivers installed from the ppa for raring. I've also got printing working fine even via network. However, I can get the scanning function to work. scangearmp installs fine but it comes up saying it cannot find a scanner both via usb and network. Is there some file I can edit so that I can tell scangearmp where to look for the scanner? Xsane doesn't find it either. BTW, if i type "scanimage -L" i get a response to say there is a scanner available. –  JediBrooker Jun 8 '13 at 4:22

3 Answers 3

up vote 17 down vote accepted

PPA

I found the solution!

sudo add-apt-repository ppa:michael-gruz/canon  
sudo apt-get update

Finally,

sudo apt-get install [model]

Printer

Where [model] would be for:

Canon Pixma iP Series Ubuntu driver

Canon iP100 Ubuntu Driver -  cnijfilter-ip100series
Canon iP1800 Ubuntu Driver - cnijfilter-ip1800series
Canon iP1000 Ubuntu Driver - cnijfilter-pixmaip1000series
Canon iP1500 Ubuntu Driver - cnijfilter-pixmaip1500series
Canon iP1900 Ubuntu Driver - cnijfilter-ip1900series
Canon iP 2200 Ubuntu Driver - cnijfilter-ip2200series
Canon iP2500 Ubuntu Driver - cnijfilter-ip2500series
Canon iP2600 Ubuntu Driver - cnijfilter-ip2600series
Canon iP2700 Ubuntu Driver - cnijfilter-ip2700series
Canon iP3300 Ubuntu Driver - cnijfilter-ip3300series
Canon iP3500 Ubuntu Driver - cnijfilter-ip3500series
Canon iP3600 Ubuntu Driver - cnijfilter-ip3600series
Canon iP4200 Ubuntu Driver - cnijfilter-ip4200series
Canon iP4500 Ubuntu Driver - cnijfilter-ip4500series
Canon iP4700 Ubuntu Driver - cnijfilter-ip4700series
Canon iP4800 Ubuntu Driver - cnijfilter-ip4800series
Canon iP5200 Ubuntu Driver - cnijfilter-ip5200series
Canon iP6600 Ubuntu Driver - cnijfilter-ip6600series
Canon iP7500 Ubuntu Driver - cnijfilter-ip7500series

Canon Pixma MG Series Ubuntu Driver

Canon MG5100 Ubuntu Driver - cnijfilter-mg5100series
Canon MG5200 Ubuntu Driver - cnijfilter-mg5200series
Canon MG6100 Ubuntu Driver - cnijfilter-mg6100series
Canon MG8100 Ubuntu Driver - cnijfilter-mg8100series

Canon PIXMA MP Series Ubuntu Driver

Canon MP140 Ubuntu Driver - cnijfilter-mp140series
Canon MP160 Ubuntu Driver - cnijfilter-mp160series
Canon MP190 Ubuntu Driver - cnijfilter-mp190series
Canon MP210 Ubuntu Driver - cnijfilter-mp210series
Canon MP240 Ubuntu Driver - cnijfilter-mp240series
Canon MP490 Ubuntu Driver - cnijfilter-mp490series
Canon MP500 Ubuntu Driver - cnijfilter-mp500series
Canon MP510 Ubuntu Driver - cnijfilter-mp510series
Canon MP520 Ubuntu Driver - cnijfilter-mp520series
Canon MP540 Ubuntu Driver - cnijfilter-mp540series
Canon MP550 Ubuntu Driver - cnijfilter-mp550series
Canon MP560 Ubuntu Driver - cnijfilter-mp560series
Canon MP600 Ubuntu Driver - cnijfilter-mp600series
Canon MP610 Ubuntu Driver - cnijfilter-mp610series
Canon MP630 Ubuntu Driver - cnijfilter-mp630series
Canon MP640 Ubuntu Driver - cnijfilter-mp640series

Canon MX Series Ubuntu Driver

Canon MX320 Ubuntu Driver - cnijfilter-mx320series
Canon MX330 Ubuntu Driver - cnijfilter-mx330series
Canon MX350 Ubuntu Driver - cnijfilter-mx350series
Canon MX360 Ubuntu Driver - cnijfilter-mx360series
Canon MX410 Ubuntu Driver - cnijfilter-mx410series
Canon MX420 Ubuntu Driver - cnijfilter-mx420series
Canon MX860 Ubuntu Driver - cnijfilter-mx860series
Canon MX870 Ubuntu Driver - cnijfilter-mx870series
Canon MX880 Ubuntu Driver - cnijfilter-mx880series

Canon PIXUS Series Ubuntu Driver

Pixus 550 Ubuntu Driver - cnijfilter-pixus5510iseries
Pixus 560 Ubuntu Driver - cnijfilter-pixus560iseries
Pixus 850 Ubuntu Driver - cnijfilter-pixus850iseries
Pixus 860 Ubuntu Driver - cnijfilter-pixus860iseries
Pixus 865 Ubuntu Driver - cnijfilter-pixus865iseries
Pixus 950 Ubuntu Driver - cnijfilter-pixus950iseries
Pixus 990 Ubuntu Driver - cnijfilter-pixus990iseries
Canon Pixus ip3100 Ubuntu Driver - cnijfilter-pixusip3100series
Canon Pixus ip4100 Ubuntu Driver - cnijfilter-pixusip4100series
Canon Pixus ip8600 Ubuntu Driver - cnijfilter-pixusip8600series

Reference: http://www.ubuntubuzz.com/2011/06/download-install-canon-printer-driver.html

Scanner

If you would like to download the scanner application (and driver) install one of these packages (according to your model number):

scangearmp-mg5100series
scangearmp-mg5200series
scangearmp-mg6100series
scangearmp-mg8100series
scangearmp-mp140series
scangearmp-mp160series
scangearmp-mp190series
scangearmp-mp210series
scangearmp-mp240series
scangearmp-mp250series
scangearmp-mp270series
scangearmp-mp280series
scangearmp-mp490series
scangearmp-mp495series
scangearmp-mp510series
scangearmp-mp520series
scangearmp-mp540series
scangearmp-mp550series
scangearmp-mp560series
scangearmp-mp600series
scangearmp-mp610series
scangearmp-mp630series
scangearmp-mp640series
scangearmp-mx320series
scangearmp-mx330series
scangearmp-mx340series
scangearmp-mx350series
scangearmp-mx360series
scangearmp-mx410series
scangearmp-mx420series
scangearmp-mx860series
scangearmp-mx870series
scangearmp-mx880series

Then look for "Scan Gear MP" or run from the terminal:

scangearmp
share|improve this answer
    
very helpful - thanks –  n3rd Dec 16 '11 at 14:25
    
My CanonMP610 printer works perfectly under 12.04 gnome classic, but only @ 600 dpi. I want to print photos. The above method worked for me (although I had to replace pangolin by oneiric in the PPA address), I can install the printer, select the printer in the print menu (of eg Firefox, Openoffice, whatever...), choose between different resolutions, up to more than 2000; the software says it's printing, notification bubbles tell me the print job started and ended, but, guess what... the printer stays dead...! Started a bounty, can anyone help, please? –  Tinellus Jul 13 '12 at 8:43
    
I also want to add: the method suggested by Michael K doesn't work for me, there still is an unmet dependency (libpopt0:i386) that I don't seem to be able to install (ubuntu 12.04, gnome classic) –  Tinellus Jul 13 '12 at 8:46
    
@Tinellus - I've sent an email to the PPA owner to whether he intends to create a Precise repo - if he responds I'll drop a comment for you here. –  fossfreedom Jul 16 '12 at 11:01
    
Thanks, appreciate the effort... From some of the comments on 'ubuntubuzz' I see other people having similar problems on 12.04; I hope asking the ppa-owner once more will speed up things a bit... –  Tinellus Jul 16 '12 at 18:16

you may have to use

sudo add-apt-repository ppa:michael-gruz/canon-trunk

I did. And the printer works fine.

share|improve this answer
1  
thanks, worked for me on 12.04 (ppa:michael-gruz/canon did not) –  TooTone Oct 1 '13 at 12:18

libcupsys2 is a virtual package in 11.10 which installs libcups2. Maybe the canon driver (it is a proprietary driver i guess) checks for this package. You could install this meta-package doing:

sudo apt-get install libcupsys2

This should not install anything new, but mark the package itself as installed.

Then install the package using the following command:

dpkg -i --ignore-depends=libcupsys2 foo.deb

(Replace foo.deb by the package of the driver)

share|improve this answer
    
I'm sorry, but I still have the same problem. Despite I install libcupsys2, the drivers show me a dependency problem. –  Brallan Aguilar Nov 4 '11 at 3:10
    
Can you copy and paste the messages into your posting pls? –  Michael K Nov 4 '11 at 13:52
    
Sure, link –  Brallan Aguilar Nov 5 '11 at 6:01
    
okay, i edited my post, hope this works, else, just comment on here again –  Michael K Nov 5 '11 at 17:58
    
Sorry, I was able to install it, but when I try to install other packages, first I must repair dependencies and drivers are uninstalled –  Brallan Aguilar Nov 5 '11 at 18:48

protected by gertvdijk Oct 18 '13 at 12:15

Thank you for your interest in this question. Because it has attracted low-quality answers, posting an answer now requires 10 reputation on this site.

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.